curl --request GET \
--url 'https://api.workstream.stateset.com/v1/policy-sets' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"policy_set_key": "string",
"version": 1,
"status": "pending",
"definition": {},
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
]
}
List policy sets
All policy set versions.
GET
/
v1
/
policy-sets
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/policy-sets' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"policy_set_key": "string",
"version": 1,
"status": "pending",
"definition": {},
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
]
}
Query parameters
integer
Max items (capped at 1000).
integer
string
Filter by status.
Response
object
object[]
required
Status codes
| Code | Meaning |
|---|---|
200 | All policy set versions. |
400 | Validation error |
401 | Unauthorized |
404 | Not found |
429 | Rate limited |
500 | Internal error |
curl --request GET \
--url 'https://api.workstream.stateset.com/v1/policy-sets' \
--header "x-api-key: $STATESET_TEMPORAL_API_KEY"
{
"items": [
{
"id": "3fa85f64-5717-4562-b3fc-2c963f66afa6",
"policy_set_key": "string",
"version": 1,
"status": "pending",
"definition": {},
"created_at": "2026-08-31T14:22:05Z",
"updated_at": "2026-08-31T14:22:05Z"
}
]
}
Last modified on August 31, 2026